#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull wiznote/wizserver:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep Wiznote | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


docker create -i -t --name=Wiznote \
	-p 39080:80 -p 9269:9269/udp \
	-e SEARCH=true \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/Wiznote/wizdata:/wiz/storage:rw \
	--restart unless-stopped \
	wiznote/wizserver:latest
	
docker start Wiznote


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep wiznote/wizserver | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
